Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xmlrpc.common
Interface XmlRpcHttpRequestConfig

All Superinterfaces:
  XmlRpcConfig, XmlRpcHttpConfig, XmlRpcRequestConfig, XmlRpcStreamConfig, XmlRpcStreamRequestConfig

All Known Subinterfaces:
  XmlRpcHttpClientConfig

All Known Implementing Classes:
  RequestData, XmlRpcClientConfigImpl, XmlRpcHttpRequestConfigImpl

    public interface XmlRpcHttpRequestConfig

extends XmlRpcStreamRequestConfig, XmlRpcHttpConfig

Extension of `XmlRpcClientConfig` for HTTP based transport. Provides details like server URL, user credentials, and so on.

Field Summary

Fields inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`UTF8_ENCODING`

Method Summary
`java.lang.String` | `getBasicPassword()` Returns the password being used for basic HTTP authentication.
`java.lang.String` | `getBasicUserName()` Returns the user name being used for basic HTTP authentication.
`int` | `getConnectionTimeout()` Return the connection timeout in milliseconds
`int` | `getReplyTimeout()` Return the reply timeout in milliseconds

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcStreamRequestConfig
`isEnabledForExceptions, isGzipCompressing, isGzipRequesting`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcHttpConfig
`getBasicEncoding, isContentLengthOptional`

Methods inherited from interface org.apache.xmlrpc.common.XmlRpcStreamConfig
`getEncoding`

Methods inherited from interface org.apache.xmlrpc.XmlRpcConfig
`getTimeZone, isEnabledForExtensions`

Method Detail

### getBasicUserName

    java.lang.String getBasicUserName()

  Returns the user name being used for basic HTTP authentication.

  Returns:
    User name or null, if no basic HTTP authentication is being used.

### getBasicPassword

    java.lang.String getBasicPassword()

  Returns the password being used for basic HTTP authentication.

  Returns:
    Password or null, if no basic HTTP authentication is beind used.
  Throws:
    `java.lang.IllegalStateException` - A user name is configured, but no password.

### getConnectionTimeout

    int getConnectionTimeout()

  Return the connection timeout in milliseconds

  Returns:
    connection timeout in milliseconds or 0 if no set

### getReplyTimeout

    int getReplyTimeout()

  Return the reply timeout in milliseconds

  Returns:
    reply timeout in milliseconds or 0 if no set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 The Apache Software Foundation. All Rights Reserved.